"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fontStyleExtraBold = exports.fontStyleBold = exports.fontStyleSemiBold = exports.fontStyleRegular = exports.fontStyleLight = exports.calculateHeight = exports.getPrimary500 = void 0;
const react_native_themes_1 = require("@brightlayer-ui/react-native-themes");
const getPrimary500 = (theme) => theme.colors.primary;
exports.getPrimary500 = getPrimary500;
const calculateHeight = (fontSize) => Math.ceil((fontSize * 1.25) / 4) * 4;
exports.calculateHeight = calculateHeight;
exports.fontStyleLight = (0, react_native_themes_1.useFontWeight)('300');
exports.fontStyleRegular = (0, react_native_themes_1.useFontWeight)('400');
exports.fontStyleSemiBold = (0, react_native_themes_1.useFontWeight)('600');
exports.fontStyleBold = (0, react_native_themes_1.useFontWeight)('700');
exports.fontStyleExtraBold = (0, react_native_themes_1.useFontWeight)('800');
